Subject: bug#28598: closed (Re: bug#28598: 25.3; Errors in narrowed buffers in CC-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 30 Oct 2017 17:45:02 +0000

Your bug report

#28598: 25.3; Errors in narrowed buffers in CC-mode

which was filed against the emacs,cc-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28598: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28598
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28598: 25.3; Errors in narrowed buffers in CC-mode
From: Alan Mackenzie <[email-masked]>
To: George Plymale II <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 30 Oct 2017 17:37:55 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, George.

On Mon, Oct 02, 2017 at 15:02:36 -0400, George Plymale II wrote:
> Hi, Alan.

> Thanks for making this patch. After applying it to my Emacs source tree
> and recompiling Emacs, the issue seems to be gone as far as I can
> tell. I have also tested the patched version with C# files (as well as C
> files, obviously) and everything seems okay.

> Hopefully Emacs 26 will come out soon and fix this issue, among many
> others that I'm excited to see fixed.

I've committed the fix to Emacs's emacs-26 branch, and I'm closing the
bug.

> Thanks.

Thank you, too!

-- 
Alan Mackenzie (Nuremberg, Germany).

Subject: 25.3; Errors in narrowed buffers in CC-mode
From: George Plymale II <[email-masked]>
To: [email-masked]
Date: Mon, 25 Sep 2017 02:21:25 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

The inception of this bug report can be found at:
https://github.com/josteink/csharp-mode/issues/119

For those too lazy to follow the link, here's the gist: When I press
`RET' at the beginning or end of a narrowed buffer in CC-mode, I see
errors like this:

c-determine-limit: Args out of range: #<buffer dired.c>, 1, 1564

A full backtrace yields something like this:

Debugger entered--Lisp error: (args-out-of-range #<buffer dired.c> 1 1564)
  parse-partial-sexp(1 1564)
  c-determine-limit(500)
  c-guess-basic-syntax()
  c-indent-line()
  indent-according-to-mode()
  electric-indent-post-self-insert-function()
  self-insert-command(1)
  newline(nil 1)
  funcall-interactively(newline nil 1)
  call-interactively(newline nil nil)
  command-execute(newline)
  
As you can see from the filename there, the file I was testing this with
was dired.c from the very Emacs source tree (although I have now tested
with various header files, other C files, and of course, C# files).

I initially tested this on a macOS system, but now I have also tested
this on Ubuntu and I see the same issue occurring on both systems (which
are both using Emacs 25.3).

I also noticed that this issue does not occur in Emacs 24.